Subject: bug#25177: [PATCH v6] gnu: python-sphinx: Update to 1.4.8.

From: Marius Bakke <[email-masked]>
Date: Sat, 14 Jan 2017 16:35:24 +0100

Leo Famulari <[email-masked]> writes:

> On Fri, Jan 13, 2017 at 01:34:21PM +0100, Marius Bakke wrote:
>> Leo: I'm unable to reproduce the Hydra failures, so I decided to merge
>> master so we can restart this branch. However, Savannah refuses the push
>> for no good reason!
>> 
>> $ git reset --hard savannah/python-tests
>> $ git merge master
>> $ <fix two conflicts>
>> $ git push -v savannah python-tests
>> Pushing to [email-masked]:/srv/git/guix.git
>> error: failed to push some refs to [email-masked]:/srv/git/guix.git'
>
> I bet that you are using the new pre-push hook that verifies commit
> signatures, and you're trying to push some commits that fail the
> signature verification check.
>
> Someone should add some error reporting to the hook.
>
>> Any ideas? The merged branch is 687 commits ahead.
>> 
>> You can try the merge yourself, the local.mk conflict is easy and in
>> bioinformatics.scm you want to keep [arguments] and not [native-inputs].
>
> Done with the hook disabled.

Thank you for this! You are of course completely right, I had forgotten
about the hook already. I'll see if I can make it fail in a less
misleading way :-)

Can you start a new evaluation on Hydra or Cuirass, once the matplotlib
commit is in?